%define subrel 1

Summary:	A lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.4
Release:	%mkrel 1
License:	GPLv2
Group:		Archiving/Compression
URL:		http://xarchiver.sourceforge.net/
Source0:	http://downloads.sourceforge.net/xarchiver/%{name}-%{version}.tar.bz2
Patch1:		xarchiver-0.5.2-fix_tar_support.patch
Patch2:		xarchiver-0.5.4-mga-fix-sigsegv-when-directly-extracting-rpm.patch
BuildRequires:	gtk+2-devel
Requires:	binutils
Requires:	unzip
Requires:	zip
Recommends:	arj
Recommends:	p7zip
Recommends:	lha
Recommends:	unrar

%description
Xarchiver is a GTK+2 only frontend to 7z, zip, rar, tar, bzip2, gzip, arj,
lha, rpm and deb (open and extract only).Xarchiver allows you to create,
add, extract and delete files in the above formats. 7z, zip, rar, arj
password protected archives are supported.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

# make the .desktop file compliant with xdg specs
desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-mime-type="multipart/x-zip" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/xarchiver.desktop

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Mon Mar 21 2016 ns80 <ns80> 0.5.4-1.1.mga5
+ Revision: 993791
- add patch fix-sigsegv-when-directly-extracting-rpm (mga#18050)

* Sat Nov 01 2014 wally <wally> 0.5.4-1.mga5
+ Revision: 795087
- new version 0.5.4
- drop unneeded str fmt patch

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-3.mga5
+ Revision: 750350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-2.mga5
+ Revision: 690543
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Feb 23 2014 wally <wally> 0.5.3-1.mga5
+ Revision: 595919
- fix release tag

* Sun Feb 23 2014 wally <wally> 0.5.3-0.2.mga5
+ Revision: 595918
- new version 0.5.3
- fix url
- drop unneeded patches

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-16.mga4
+ Revision: 520425
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-15.mga3
+ Revision: 386505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.5.2-14.mga3
+ Revision: 338226
- fix file list after %%_libexecdir change

* Fri Dec 21 2012 guillomovitch <guillomovitch> 0.5.2-13.mga3
+ Revision: 333655
- own its documentation directory

* Sat Jul 07 2012 wally <wally> 0.5.2-12.mga3
+ Revision: 268629
- add patch to fix tar support (mga#6713)

* Sun Jul 01 2012 wally <wally> 0.5.2-11.mga3
+ Revision: 265947
- rediff xz support patch to get working xz support
- add xz exctract patch from Arch

* Sun Jun 24 2012 wally <wally> 0.5.2-10.mga3
+ Revision: 263147
- add patches from Fedora (xarchiver is pretty dead upstream, but it works most of time and now even more with Fedora patches)
  o xz support patch
  o fix 7z support patch
  o rpm2cpio fix patch
  o fix open with segfaulting patch

* Sat Jan 28 2012 tavvva <tavvva> 0.5.2-9.mga2
+ Revision: 202692
- fix for #4093 - extraction doesn't work when drag'n'drop target path contains spaces
- additionaly all characters which need to be escaped are now accepted without problems

* Mon Feb 07 2011 ahmad <ahmad> 0.5.2-8.mga1
+ Revision: 48700
- imported package xarchiver


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-7mdv2011.0
+ Revision: 633052
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-6mdv2011.0
+ Revision: 579640
- rebuild for new xfce 4.7.0

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.2-4mdv2010.1
+ Revision: 521985
- fix .desktop file

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.5.2-3mdv2010.0
+ Revision: 445866
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-2mdv2009.1
+ Revision: 353010
- Patch0: fix compiling with Werror=format-strings

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2009.1
+ Revision: 302477
- New version 0.5.2

* Fri Nov 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 300759
- update to new version 0.5.1

* Thu Nov 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 300324
- update to new version 0.5.0

* Wed Oct 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.rc1.1mdv2009.1
+ Revision: 296559
- update to new version 0.5.0rc1

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta2.2mdv2009.1
+ Revision: 294928
- rebuild for new Xfce4.6 beta1

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta2.1mdv2009.1
+ Revision: 291556
- update to new version 0.5.0beta2

* Tue Aug 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0-0.beta1.1mdv2009.0
+ Revision: 276256
- ressurection of xarchiver, update to new version 0.5.0beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.4.9-5mdv2009.0
+ Revision: 262241
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.4.9-4mdv2009.0
+ Revision: 256566
- rebuild
- fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-2mdv2008.1
+ Revision: 135444
- fix deps
- suggest some additional archivers

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.9-1mdv2008.1
+ Revision: 120755
- Add BR
- Add a lot of BR
- New release 4.9

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide patch 0 (fixes compilation)
    - drop X-MandrivaLinux from desktop file

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-3mdv2008.0
+ Revision: 32837
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 32831
- drop old menu style
- drop Source1
- spec file clean


* Fri Dec 15 2006 Jérôme Soyer <saispo@mandriva.org> 0.4.6-1mdv2007.0
+ Revision: 97289
- Add BuildRequires
- Push Xarchiver
- Import xarchiver

* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.4.0-1mdv2007.0
- 0.4.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.9.2-0.beta2.1mdv2007.0
- 0.3.9.2beta2
- drop icon source and use included
- xdg
- cleanup

* Sat May 06 2006 Jerome Soyer <saispo@mandriva.org> 0.3.3-1mdk
- New release 0.3.3

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Wed May 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Thu Apr 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- Fix BuildRequires

* Wed Apr 05 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-2mdk
* Mon Apr 03 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-2mdk
    - added menus
    - rebuild

* Mon Apr 03 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdk
- RPM From :

 * Sun Apr 02 2006 Phil <philippe-pierre@lamarelle.org> 0.3.1-1mdk
   - removed NEWS (empty file) from %%doc
   - cleaned up xarchiver.spec
   - rebuild
   - xarchiver 0.3.1 initial mdk release

